%global pypi_name guessit

Name:           python-%{pypi_name}
Version:        3.5.0
Release:        %mkrel 1
Summary:        A library for guessing information from video filenames
Group:          Development/Python
License:        GPLv3
URL:            https://pypi.org/project/guessit/
Source0:        %{pypi_source}
BuildArch:      noarch

%description
GuessIt is a python library that extracts as much information as possible from
a video filename.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
Group:          Development/Python
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(pytest-runner)

%description -n python3-%{pypi_name}
GuessIt is a python library that extracts as much information as possible from
a video filename.

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%doc AUTHORS.md CHANGELOG.md CONTRIBUTING.md LICENSE README.md 
%{python3_sitelib}/guessit
%{python3_sitelib}/guessit-%{version}-py%{python3_version}.egg-info
%{_bindir}/guessit


%changelog
* Sun Jan 15 2023 guillomovitch <guillomovitch> 3.5.0-1.mga9
+ Revision: 1933283
- new version 3.5.0

* Sun Mar 27 2022 umeabot <umeabot> 3.4.3-3.mga9
+ Revision: 1828909
- Mageia 9 Mass Rebuild

* Fri Feb 25 2022 mrambo3501 <mrambo3501> 3.4.3-2.mga9
+ Revision: 1784411
- rebuild for python-3.10

* Sun Jan 23 2022 guillomovitch <guillomovitch> 3.4.3-1.mga9
+ Revision: 1769555
- new version 3.4.3

* Sat Mar 20 2021 guillomovitch <guillomovitch> 3.3.1-2.mga9
+ Revision: 1705850
- rebuild for python 3.9

* Fri Feb 26 2021 guillomovitch <guillomovitch> 3.3.1-1.mga9
+ Revision: 1691753
- new version 3.3.1

* Fri May 08 2020 guillomovitch <guillomovitch> 3.1.1-1.mga8
+ Revision: 1581760
- imported package python-guessit

